Skip to content

getPurchaseOrder

READ

Get purchase order.

POST /api/v1/purchasing/getPurchaseOrder
curl -X POST '<your-host>/api/v1/purchasing/getPurchaseOrder' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "purchaseOrderId": "string"
  }'
Response
{
  "accountManagerEmail": "string",
  "accountManagerFullName": "string",
  "accountManagerPhone": "string",
  "assignee": "string",
  "assigneeEmail": "string",
  "assigneeFullName": "string",
  "assigneePhone": "string",
  "closedAt": "string",
  "closedBy": "string",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "createdByEmail": "string",
  "createdByFullName": "string",
  "createdByPhone": "string",
  "currencyCode": "string",
  "customFields": "…",
  "deliveryDate": "string",
  "dropShipment": true,
  "exchangeRate": 0,
  "exchangeRateUpdatedAt": "string",
  "externalNotes": "…",
  "id": "string",
  "incoterm": "EXW",
  "incotermLocation": "string",
  "internalNotes": "…",
  "itemType": "Part",
  "jobId": "string",
  "jobReadableId": "string",
  "locationId": "string",
  "orderDate": "string",
  "orderTotal": 0,
  "paymentTermId": "string",
  "purchaseOrderId": "string",
  "purchaseOrderType": "Purchase",
  "receiptPromisedDate": "string",
  "receiptRequestedDate": "string",
  "receivableQuantity": 0,
  "receivedQuantity": 0,
  "revisionId": 0,
  "shippingMethodId": "string",
  "shippingTermId": "string",
  "status": "Closed",
  "supplierContactId": "string",
  "supplierId": "string",
  "supplierInteractionId": "string",
  "supplierLocationId": "string",
  "supplierReference": "string",
  "supplierShippingCost": 0,
  "tags": [
    "string"
  ],
  "thumbnailPath": "string",
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "purchaseOrderId": {
      "type": "string"
    }
  },
  "required": [
    "purchaseOrderId"
  ]
}